Bug 100896 - Underscores should be supported in usernames
Summary: Underscores should be supported in usernames
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: redhat-config-users (Show other bugs)
(Show other bugs)
Version: beta1
Hardware: athlon Linux
low
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-26 21:55 UTC by Justin Churchey
Modified: 2007-03-27 04:08 UTC (History)
1 user (show)

Fixed In Version: 1.2.4-1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-16 00:40:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Justin Churchey 2003-07-26 21:55:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
In RH 7.3, underscores were allowed in usernames.  However, when I upgraded the
system, underscores were no longer supported which caused problems with edititng
the user b/c redhat-config-users would not accept the underscores in the
usernames.  Using underscores in usernames is not unheard of nor is it advised
against.

Allowing underscores in usernames ensures backwards compatability with older
versions of RH, ensures compatibility with other Linux distros on the same box,
if they share users and /home directories

Version-Release number of selected component (if applicable):
redhat-config-users-1.1.10-1

How reproducible:
Always

Steps to Reproduce:
1.Run redhat-config-users
2.Add or Edit existing user
3.Use underscore in the username
    

Actual Results:  redhat-config-users does not accept underscores in the usernames

Expected Results:  redhat-config-users should accept underscores in the usernames

Additional info:


Note You need to log in before you can comment on or make changes to this bug.